Package org.snpeff.stats

# Class ObservedOverExpectedCpG

java.lang.Object
org.snpeff.stats.ObservedOverExpected
org.snpeff.stats.ObservedOverExpectedCpG

public class ObservedOverExpectedCpG extends ObservedOverExpected
Observed over expected values (o/e) of CpG in a sequence

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`ObservedOverExpectedCpG()`

## Method Summary

Modifier and Type
Method
Description
`double`
`expected(String sequence)`
`int`
`observed(String sequence)`
Count the number of CpG in this sequence

### Methods inherited from class org.snpeff.stats.ObservedOverExpected

`expected, expected, expected, observed, observed, observed, observedChg, oe, oe, oe, oe`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObservedOverExpectedCpG

public ObservedOverExpectedCpG()

## Method Details

### expected

public double expected(String sequence)

Specified by:
  `expected` in class `ObservedOverExpected`

### observed

public int observed(String sequence)
Count the number of CpG in this sequence

Specified by:
  `observed` in class `ObservedOverExpected`
Parameters:
  `sequence` -
Returns: